# $Revision: 1.37 $, $Date: 2004/05/06 18:21:17 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Text
%define	pnam	Merge
Summary:	Text::Merge - general purpose text/data merging methods in Perl
Summary(pl):	Text::Merge - metody oglnego przeznaczenia czce tekst lub dane w Perlu
Name:		perl-Text-Merge
Version:	0.36
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e95edd979ef207b42a2d1bcb1de9666d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Text::Merge package is designed to provide a quick, versatile, and
extensible way to combine presentation templates and data structures.
The Text::Merge package attempts to do this by assuming that templates
are constructed with text and that objects consist of data and
functions that operate on that data. Text::Merge is very simple, in
that it works on one file and one object at a time, although an
extension exists to display lists (Text::Merge::Lists) and Text::Merge
itself could easily be extended further.

%description -l pl
Pakiet Text::Merge zosta zaprojektowany, aby dostarszy szybk,
wszechstronn i rozszerzaln metod do czenia szablonw prezentacji
ze strukturami danych. Text::Merge prbuje zrobi to przy zaoeniu,
e szablony s skonstruowane z tekstu, a obiekty zawieraj dane i
funkcje operujce na tych danych. Modu jest bardzo prosty pod tym
wzgldem, e dzia na jednym pliku i jednym obiekcie jednoczenie,
ale istnieje rozszerzenie do wywietlania list (Text::Merge::Lists), a
sam Text::Merge moe atwo by dalej rozszerzany.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%{perl_vendorlib}/Text/Merge.pm
%{perl_vendorlib}/Text/Merge
%{perl_vendorlib}/auto/Text/Merge
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Text-Merge.spec,v $
Revision 1.37  2004/05/06 18:21:17  ankry
- fixed perl-devel BR

Revision 1.36  2004/05/03 18:07:32  ankry
- tests added, license fixed, cosmetics

Revision 1.35  2004/04/15 21:24:54  ankry
- cosmetics

Revision 1.34  2004/04/04 19:33:25  adamg
- updated to 0.36

Revision 1.33  2003/09/09 10:24:51  ankry
- spaces -> tab

Revision 1.32  2003/08/18 08:09:21  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.31  2003/05/28 13:01:05  malekith
- massive attack: source-md5

Revision 1.30  2003/05/25 06:25:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.29  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.28  2003/03/01 21:35:09  radek
- should be ready for perl-5.8.0; release++

Revision 1.27  2003/02/25 00:42:34  radek
- use the __perl macro

Revision 1.26  2003/02/18 15:38:52  ankry
- massive attack: change CPAN URLs

Revision 1.25  2002/08/28 20:58:42  qboosh
- pl description, release++

Revision 1.24  2002/08/11 19:36:49  radek
- release up

Revision 1.23  2002/08/11 19:32:51  radek
- (automatic) provided informative description

Revision 1.22  2002/07/10 09:01:50  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.21  2002/05/11 14:28:13  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.20  2002/02/25 10:34:52  depesz
cleanup; revision++

Revision 1.19  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/13 14:20:57  depesz
automatic: Source location unfied, Relase Up

Revision 1.17  2002/02/10 15:35:51  depesz
adapterized

Revision 1.16  2002/01/18 02:14:32  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.14  2001/04/17 12:16:46  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.13  2001/04/14 18:00:10  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.12  2001/03/15 10:40:01  mis
- updated (by autoup) to 0.34

Revision 1.11  2001/02/19 14:39:57  mis
- updated (by autoup) to 0.33

Revision 1.10  2001/01/25 20:57:01  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.9  2000/08/22 00:33:06  kloczek
- updated to 0.31.

Revision 1.8  2000/06/09 07:54:58  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/23 17:57:17  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:32  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:59  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:35:57  pius
- updated to 0.29

Revision 1.2  1999/11/07 09:18:47  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:48  pius
- initial release
